/* GENERAL STYLES HAHA */

  body,html{
    height: 100%;
    width: 100%;
    color: black;
    border: 0;
    margin: 0;
    font-size: 12pt;
    font-family: "Helvetica Neue", Helvetica, sans-serif;
    line-height: 1.3;
    font-weight: 400;
    background: white;
  }

  *{
      -webkit-box-sizing: border-box;
          -moz-box-sizing: border-box;
          box-sizing: border-box;


    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
  }

::-moz-selection { /* Code for Firefox */
  color: black;
  background: orange;
}

::selection {
  color: black;
  background: orange;
}

  a{
    color: #000;
    outline: 0;
    text-decoration: underline;
    cursor: pointer;
  }

  a:hover,  a:active{
    text-decoration: underline;
    cursor: pointer;
  }

  
  a[href], input[type='submit'], input[type='image'], label[for], select, button, .pointer {
       cursor: pointer;
  }

  a.active{
    cursor: pointer;
    text-decoration: underline;
  }

  a.active:hover{
    cursor: pointer;
    text-decoration: none;
  }

  .courge-contenu img{
    max-height: 100%;
    max-width: 100%;
  }

  hr {
    color:#666;
    background-color: #666;
    height:1px;
    border:0;
  }

  /* SITE STYLES */

  .container{
    display: flex;
    flex-direction: column;
    max-width: 1330px;
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 0em;
    padding-right: 0em;
    background: white;
    border-right: 0px solid #EEE;
    border-left: 0px solid #EEE;
  }

  .pure-button{
    background-color: white;
  }

  .header{
    width: 100%;
    display: flex;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 0.9em;
    margin-top: 0.7em;
    /* margin-bottom: 0.5em; */
    background-color: white;
  }

  .header img{
    margin-bottom: 5px;
    max-width: 50vw;
    width: 280px;
  }

  .header .edition{
    position: absolute;
    font-size: 1em;
    font-variant: small-caps;
  }


  .header .courge-menu{
    position: relative;
    top: 0;
    right: 0;
  }

  .header .pure-menu-list{
    position: absolute;
    right: 0px;
    height: 100%;
    width: 100%;
    text-align: right;
  }
/* 
  .header .pure-menu-list > .pure-menu-item:after{
    content: ' ! ';
    color: #999;
  }

  .header .pure-menu-list > .pure-menu-item:last-child:after{
    content: '';
    padding-right: 5px; 
  } */

  .header .pure-menu-has-children .pure-menu-children{
    position: absolute;
    top: 36px;
    left: 100%;
    /* width: 200px; */
    padding: 2px;
    background-color: white;
    box-shadow: 0 0 3px #666;
    border: 1px #333 solid;
    border-radius: 4px;
    -webkit-transition:  opacity 1s;
    transition: opacity 1s;
    transform: translate(-100%);
    overflow: visible;
  }

  .header .pure-menu-children{
    background-color: transparent;
  }

  .header > .pure-menu-item{
    vertical-align: top;
    text-align: left;
  }

  .header ul li > ul{
  /* .courge-side-menu ul li > ul { */
    display: none;
    opacity: 0;
    height: 0px;
    width: 0px;
    /* overflow: hidden; */
  }

  /* Display Dropdowns on Hover */
  .header ul li:hover > ul{
  /* .courge-side-menu ul li:hover > ul { */
    display: block;
    opacity: 1;
    height: auto;
    width: auto;
    /* overflow: hidden; */
  }

  .header .menusandwich{
    display: none;
    line-height: 100%;
    font-size: 30px;
  }
  
  .container .content{
    flex-grow: 1;
    border: 0px solid #999;
    border: #666 0 solid;
    box-shadow: 0px 1px 0px #aaa, 0px 1px 4px #999, 0px 3px 0px #eee;
                /* 0px -1px 0px #bbb, 0px -2px 3px #000, 0px -3px 0px #aaa; */
    border-radius: 10px;
    margin-top: 3px;
    padding-top: 0.5em;
    padding-left: 0.2em;
    padding-right: 0.2em;
    padding-bottom: 0.5em;
  }

img{
		max-width: 100%;
}
  
  .courge-side-menu{  
    display: block;
    font-size: 1em;
    width: 100%;
  }
  

  .courge-side-menu .pure-menu-children.show{
    display: block;
  }

  .courge-side-menu .pure-menu-has-children > .pure-menu-children {
    position: relative;
    top: 0px;
    left: 0px;
  }

  .courge-side-menu .pure-menu-list{
    margin-bottom: 1em;
    padding-bottom: 1em;
  }

  .courge-side-menu .pure-menu-list .separation{
    margin-bottom: 0.5em;
    padding-bottom: 0.5em;
    border-bottom: 1px solid black;
  }

  .pure-menu-item{ 
    line-height: 19pt;
  }

  .courge-side-menu .pure-menu-item > a{
    
    padding-bottom: 0em;
    line-height: 1em;
    cursor: pointer;
    text-decoration: none;

    -webkit-transition: font 0.2s, border ease 0.2s, padding 0.5s, background 0.6s; /* Safari */
    transition: font 0.2s, border ease 0.2s, padding 0.5s, background 0.6s;
  }

  .courge-side-menu .pure-menu-item:hover + .pure-menu-item
  {  
    padding-top: 0em;
    cursor: pointer;
  }
/* 
  .courge-side-menu .pure-menu-item > a:hover
  { 
    font-size: 1.1em;
    cursor: pointer;
    padding-left: 0em;
  } */

  .pure-menu-item > a {
    position: relative;
    color: black;
    background-color: white;
    text-decoration: none;
    margin-right: 3px;
    margin-left: 3px;
  }

  .pure-menu-item > a:hover {
    color: black;
  }

  .pure-menu-item > a:before  {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0px;
    left: 0px;
    background-color: rgba(255,255,255,1);
    mix-blend-mode: difference;
    padding-top: 1px;
    padding-bottom: 1px;

    -webkit-transition: all 0.3s ease-in-out 0s;
    transition: all 0.3s ease-in-out 0s;
    -ms-transform: matrix(1, 0, 0, 1, 0, 0); /* IE 9 */
    -webkit-transform: matrix(1, 0, 0, 1, 0, 0); /* Safari */
    transform: skewY(0deg)  rotate(0deg) translate(50%, 0px) scale(0,1);
  }

  .pure-menu-item.active:not(.pure-menu-has-children) > a:before,
  .pure-menu-item > a:hover:before {
    visibility: visible;
    cursor: pointer;
    left: -4px;
    width: calc( 100% + 8px );
    border-radius: 3px;
    -webkit-transform: scaleX(1);
    -ms-transform: matrix(1, 0, 0, 1, 0, 0); /* IE 9 */
    -webkit-transform: matrix(1, 0, 0, 1, 0, 0); /* Safari */
    transform: skewY(0deg) rotate(-1deg) translate(0%, 0px) scale(1.0, 1.2);
  }
/* 
  .pure-menu-item.active > a:before
  {
    visibility: visible;
    -webkit-transform: scaleX(1);
    transform: skewY(0deg);
    cursor: pointer;
    -ms-transform: matrix(1, 0, 0, 1, 0, 0); /* IE 9 
    -webkit-transform: matrix(1, 0, 0, 1, 0, 0); /* Safari 
    transform: rotate(0deg) translate(0%, 0px) scale(1.0, 1.0)
  } */

  .pure-menu-item .pure-menu-style > a:hover
  { cursor: pointer;
    color:blue;
    padding-top: 3em;
  }

  .info{
    border: 3px double red;
    width: 100%;
    padding: 20px;
    text-align: center;
    font-weight: bold;
  }

  .rect{
    display: inline-block;
    width: 25px;
    height: 15px;
    border: 1px solid black;
    margin-right: 0.5em;
  }

  .green{
    background-color: #00FF00;
  }

  .red{
    background-color: red;
  }

  .footer{
    /* margin-top: 1em; */
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 0.3em;
    padding-bottom: 0.3em;
    font-size: 0.9em;
  }

  .footer p{
    margin: 0;
    padding: 0;
  }

  /* HELPER CLASSES */

  .lined{
    margin-left: 0.2em;
    margin-right: 0.2em;
    border-top: 0px solid black;
  }

  .lined p:first-child{
    margin-top: 0px;
    padding-top: 0px;
    }


  .justified{
      text-align: justify;
      text-justify: inter-word;
  }

  .inline{
    display: inline;
  }

  .center{
    text-align:center;
  }

  .centered{
    margin-left: auto;
    margin-right: auto;
  }
  
  .align-right > div{
    text-align: right;
  }

  
@media screen and (max-width: 48em){
  .courge-side-menu{  
    display: none;
    text-align: right;
  } 

  .header .menusandwich{
    display: block;
  }

  .edition{
    position: absolute;
    left: 40%;
    top: 10px;
    font-size: 1em;
    font-variant: small-caps;
  }
  
  .courge-side-menu .pure-menu-has-children > .pure-menu-children {
    margin-right: 10px;
  }
}

@media screen and (min-width: 48em){
  .courge-side-menu{  
    display: block;
  } 

  .header .menusandwich{
    display: none;
  }
  
  .courge-side-menu .pure-menu-has-children > .pure-menu-children {
    margin-left: 10px;
  }
}
